/* style switcher */
.style-switcher {
    position: fixed;
    right: 0;
    top: 100px;
    padding: 15px;
    width: 200px;
    z-index: 101;
    background-color: var(--bg-black-50);
    border: 1px solid var(--bg-black-100);
    transform: translateX(100%);
    transition: all 0.3s ease;
    border-radius: 5px;
}
.style-switcher.open {
    transform: translateX(-25px);
}
.style-switcher .s-icon {
    position: absolute;
    height: 40px;
    width: 40px;
    text-align: center;
    font-size: 20px;
    color: var(--text-black-900);
    background-color: var(--bg-black-50);
    right: 100%;
    margin-right: 25px;
    cursor: pointer;
    transition: all 0.3s ease;
    border-radius: 50%;
}
.style-switcher .s-icon::after {
    border-radius: 50%;
}
.style-switcher .s-icon i {
    line-height: 40px;
}
.style-switcher .style-toggler {
    top: 0;
}
.style-switcher .day-night {
    top: 55px;
}
.style-switcher h4 {
    margin: 0 0 10px;
    color: var(--text-black-700);
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
}
.style-switcher .colors {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.style-switcher .colors span {
    display: inline-block;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    cursor: pointer;
}
.style-switcher .color-1 { background-color: #fb839e; }
.style-switcher .color-2 { background-color: #ec9412; }
.style-switcher .color-3 { background-color: #1fc586; }
.style-switcher .color-4 { background-color: #2eb1ed; }
.style-switcher .color-5 { background-color: #cc3a3a; }

/* dark mode variables */
body.dark {
    --bg-black-900: #ffffff;
    --bg-black-100: #353535;
    --bg-black-50: #2b2c2f;
    --text-black-900: #ffffff;
    --text-black-700: #eeeeee;
    --text-black-600: #bbbbbb;
    --text-black-300: #bbbbbb;
    --outer-shadow: 3px 3px 3px #222327, -3px -3px 3px #36373c;
    --outer-shadow-0: 0 0 0 #222327, 0 0 0 #36373c;
    --inner-shadow: inset 3px 3px 3px #222327, inset -3px -3px 3px #36373c;
    --inner-shadow-0: inset 0 0 0 #222327, inset 0 0 0 #36373c;
}
